Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class ConstantVertexColorFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.ConstantVertexColorFunction

All Implemented Interfaces:
  VertexColorFunction

public class ConstantVertexColorFunction
extends Object
implements VertexColorFunction

Field Summary
`protected Color` | `back_color`
`protected Color` | `fore_color`
`protected PickedInfo` | `pi`
`protected Color` | `picked_color`

Constructor Summary
`ConstantVertexColorFunction(PickedInfo pi, Color fore_color, Color back_color, Color picked_color)`

Method Summary
`Color` | `getBackColor(Vertex v)` Returns the `Color` to use for drawing the interior of the vertex `v`.
`Color` | `getForeColor(Vertex v)` Returns the `Color` to use for drawing the border and text for the vertex `v`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fore_color

    protected Color fore_color

### back_color

    protected Color back_color

### picked_color

    protected Color picked_color

### pi

    protected PickedInfo pi

Constructor Detail

### ConstantVertexColorFunction

    public ConstantVertexColorFunction(PickedInfo pi,
                                       Color fore_color,
                                       Color back_color,
                                       Color picked_color)

Method Detail

### getForeColor

    public Color getForeColor(Vertex v)

  Description copied from interface: `VertexColorFunction`
  Returns the `Color` to use for drawing the border and text for the vertex `v`.

  Specified by:
    `getForeColor` in interface `VertexColorFunction`

### getBackColor

    public Color getBackColor(Vertex v)

  Description copied from interface: `VertexColorFunction`
  Returns the `Color` to use for drawing the interior of the vertex `v`.

  Specified by:
    `getBackColor` in interface `VertexColorFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD